AFlightEntry(3)

NAME
AFlightEntry

SYNOPSIS

Inherits AEntry.

  Public Types
enum class pilotPosition { pic, secondPilot, thirdPilot }

  Public Member Functions
AFlightEntry (RowId_T row_id)
AFlightEntry (RowData_T table_data)
AFlightEntry (const AFlightEntry &pe)=default
AFlightEntry & operator= (const AFlightEntry &pe)=default
const QString summary ()
Returs a summary of the flight data, if struct holds data.
const QString getRegistration ()
Returns the tails' registration from the database.
const QString getPilotName (pilotPosition)
Returns the pilots name from the Database.

  Additional Inherited Members

Member Function Documentation

  const QString AFlightEntry::getPilotName (pilotPosition pilot_)

Returns the pilots name from the Database.

Parameters
    pilot_number - 1=pic, 2=second Pilot, 3 = third Pilot

Returns

  const QString AFlightEntry::summary ()

Returs a summary of the flight data, if struct holds data.

Returns

Author

Generated automatically by Doxygen for openPilotLog from the source code.